Bug 14090 - Problems converting database
Summary: Problems converting database
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-17 07:38 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 07:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-17 07:38:30 UTC
I have just updates the rpm-packages to rpm-4.0-.0-45. After having done
this two things happens:

1. I am told that there is a db1 database in /var/lib/rpm/packages.rpm, and
that it shall be converted to db3 format using the rpm --rebuild command.
No matter how many times I run this command the message still pops up.

2. When I try to run rpm -q <whatever> I get the message in the above + a
message:  Segmentation fault (core dumped)

What to do?

Kind regards
Sxren Vedsted

Comment 1 Jeff Johnson 2000-07-19 16:04:29 UTC
Look at /var/lib/rpm. The larger of the two files Packages (db3 format) and
packages.rpm (db1 format) is your rpm database. If packages.rpm is the smaller
file, remove all of  the *.rpm files.
If Packages is the smaller file, remove just Packages, and rebuild again.

Meanwhile,  you should upgrade your version of rpm. Try rpm-4.0 packages from
ftp://ftp.rpm.org/pub/rpm/test  for the latest (Raw Hide is probably behind the
times at the moment).

Comment 2 Need Real Name 2000-07-31 15:44:17 UTC
Hi again. Now I have tried to delete Packages and rebuild a couple of times and
still it doesn't work. I wonder if there could be anything wrong with the rpm i
used to make my last upgrade? (rpm-4.0-0.45.i386.rpm)
I have now downloaded rpm-4.0-0.55.i386.rpm, is it believable that it will be
better? And how could I run it? As it is now I can't do anything....  Can I
return to mu previous rpm-version without troubles?


Note You need to log in before you can comment on or make changes to this bug.